Subject: Re: QT
From: "Dr. Volker Zell" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: 12 Feb 2001 00:46:23 +0100

>>>>> "chris" == chris  <[email-masked]> writes:

    chris> Hi;
    chris> Just a quick query - has anyone had any luck compiling QT 1.x with
    chris> CygWin? I'm assured it's possible (I'm trying to build 1.45, I think) but
    chris> the moc meta-object parser thing keeps breaking it - bison won't parse the
    chris> .y file at all, and byacc seems to generate broken code.

I just compiled

 o qt-x11-2.2.4 - http://www.trolltech.com/

I copied

 /usr/local/qt/configs/linux-g++-static to /usr/local/qt/configs/cygwin-g++-static

and added platform support in /usr/local/qt/configure

     CYGWIN_NT-4.0:*)
	PLATFORM=cygwin-g++
	;;

In /usr/local/qt/src/kernel/qapplication_x11.cpp I added

#if defined(_OS_CYGWIN_)
#  include <sys/socket.h> // for FIONREAD on Cygwin
#endif

In /usr/local/qt/src/network
the file qdns.cpp needed the header files from bind to compile.

And for the examples (ftpclient, httpd, mail and networkprotocol) I added
 -L/usr/local/bind/lib -lbind 
in the appropriate Makefile.

All examples and tutorials are working

Ciao
  Volker

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple